# java + wiremock + node
FROM wiremock/wiremock AS wiremock

FROM node:18
COPY --from=wiremock /var/wiremock/lib/wiremock-jre8-standalone.jar wiremock-jre8-standalone.jar
RUN apt update && apt install default-jre -y

EXPOSE 8080

ENTRYPOINT ["java", "-jar", "wiremock-jre8-standalone.jar", "--root-dir", "/wiremock", "--enable-stub-cors"]

